Google Web Toolkit
Search Google Code:

# Class RequestPermissionException

public class RequestPermissionException
extends RequestException
Exception thrown when the RequestBuilder attempts to make a request to a URL which violates the Same-Origin Security Policy.

### Required Module

Modules that use this class should inherit `com.google.gwt.http.HTTP`.

    <!--                                                                        -->
    <!-- Copyright 2007 Google Inc.                                             -->
    <!-- Licensed under the Apache License, Version 2.0 (the "License"); you    -->
    <!-- may not use this file except in compliance with the License. You may   -->
    <!-- may obtain a copy of the License at                                    -->
    <!--                                                                        -->
    <!-- http://www.apache.org/licenses/LICENSE-2.0                             -->
    <!--                                                                        -->
    <!-- Unless required by applicable law or agreed to in writing, software    -->
    <!-- distributed under the License is distributed on an "AS IS" BASIS,      -->
    <!-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or        -->
    <!-- implied. License for the specific language governing permissions and   -->
    <!-- limitations under the License.                                         -->

    <module>
      <!-- other inherited modules, such as com.google.gwt.user.User -->
      <inherits name="com.google.gwt.http.HTTP"/>
      <!-- additional module settings -->
    </module>

## Constructors

RequestPermissionException(String) | Constructs an instance of this class for the given URL.

## Methods

getURL() | Returns the URL which we can not access.

## Constructor Detail

### RequestPermissionException

public RequestPermissionException(String url)
Constructs an instance of this class for the given URL.

#### Parameters

url
  the URL which can not be accessed

## Method Detail

### getURL

public String getURL()
Returns the URL which we can not access.

#### Return Value

the URL which we cannot access.